WRDataReadEvent
Keywords: wiiremotej.event.WRDataReadEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class WRDataReadEvent

    java.lang.Object
      java.util.EventObject
          wiiremotej.event.WREvent
              wiiremotej.event.WRDataReadEvent

All Implemented Interfaces:
  java.io.Serializable

    public class WRDataReadEvent

extends WREvent

Read data event for Nintendo (R) Wii Remote (TM). Contains data returned from reading the flash memory or control registers.

See Also:
  Serialized Form

Field Summary
`static int` | `BYTES_DO_NOT_EXIST_ERROR` If the bytes you tried to read do not exist.
`static int` | `NO_ERROR` If there was no error reading bytes (this is good).
`static int` | `WRITE_REGISTER_ONLY_ERROR` If you tried read bytes from a write-only register.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WRDataReadEvent(WiiRemote source, byte[] data)` Creates a new WRDataReadEvent from the given input data array.

Method Summary
`byte[]` | `getData()` Returns the data read from the flash memory/control register in the last read event.
`int` | `getDataOffset()` Returns the lower 2 bytes of the data offset of this read event.
`int` | `getErrorCode()` Returns the error code of this read event.

Methods inherited from class wiiremotej.event.WREvent
`getSource`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BYTES_DO_NOT_EXIST_ERROR

    public static final int BYTES_DO_NOT_EXIST_ERROR

  If the bytes you tried to read do not exist.

  See Also:
    Constant Field Values

### WRITE_REGISTER_ONLY_ERROR

    public static final int WRITE_REGISTER_ONLY_ERROR

  If you tried read bytes from a write-only register.

  See Also:
    Constant Field Values

### NO_ERROR

    public static final int NO_ERROR

  If there was no error reading bytes (this is good).

  See Also:
    Constant Field Values

Constructor Detail

### WRDataReadEvent

    public WRDataReadEvent(WiiRemote source,
                           byte[] data)

  Creates a new WRDataReadEvent from the given input data array. This array contains ALL of the bits directly from input.

  Parameters:
    `source` - the WiiRemote triggering this event.
    `data` - the byte data to process for flash memory/control register data.

Method Detail

### getErrorCode

    public int getErrorCode()

  Returns the error code of this read event. See static field values BYTES_DO_NOT_EXIST_ERROR, WRITE_REGISTER_ONLY_ERROR, and NO_ERROR for details.

  Returns:
    the error code of this read event.

### getDataOffset

    public int getDataOffset()

  Returns the lower 2 bytes of the data offset of this read event.

  Returns:
    the lower 2 bytes of the data offset of this read event. Returns -1 if there was an error.

### getData

    public byte[] getData()

  Returns the data read from the flash memory/control register in the last read event.

  Returns:
    the data read from the flash memory/control register in the last read event. Returns null if there was an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD